<script setup>
import { theme, toggleTheme } from '~/app.vue';

const showMenu = ref(false);
const toggleMenu = () => (showMenu.value = !showMenu.value);

const navLinks = ref([
  {
    name: "A Propos",
    to: "about",
  },
  {
    name: "Agenda Participatif",
    to: "/gallery",
  },
  {
    name: "La co-création",
    to: "/",
  },
  { name: "Contact", to: "/" },
]);
</script>

<template>
  <nav
    :class="theme === 'dark' ? 'dark-theme' : 'light-theme'"
    class="h-[80px] bg-white/75 flex flex-wrap items-center justify-between py-3 shadow-lg text-black font-las overflow-hidden"
  >
    <div
      class="container px-4 mx-auto flex flex-wrap items-center justify-between"
    >
      <NuxtLink :to="'/'">
        <img
          src="/images/logo.svg"
          alt="L'Autre Scène"
          width="125px"
          class="hidden lg:block"
        />

        <img
          src="/images/logo.svg"
          alt="L'Autre Scène"
          width="100px"
          class="lg:hidden"
        />
      </NuxtLink>

      <HeaderMenu :links="navLinks" />

      <Transition
        enter-active-class="duration-200 ease-in"
        enter-from-class="transform opacity-0 -translate-y-6"
        enter-to-class="opacity-100 translate-y-0"
        leave-active-class="duration-200 ease-out"
        leave-from-class="opacity-100 translate-y-0"
        leave-to-class="transform opacity-0 -translate-y-6"
      >
        <HeaderResponsiveMenu
          v-show="showMenu"
          :links="navLinks"
          @close="toggleMenu"
        />
      </Transition>

      <div>
        <button class="ml-8" type="button" @click="toggleTheme">
          <IconsMoon
            v-if="theme === 'light'"
            alt="Mode Dark"
            width="30px"
            class="hover:opacity-75"
          />
          <IconsSun
            v-else
            alt="Mode Light"
            class="hover:opacity-75"
            width="30px"
          />
        </button>
        <button
          class="ml-8"
          type="button"
          aria-label="Open menu"
          @click="toggleMenu"
        >
          <img
            src="/images/user.svg"
            alt="Compte Utilisateur"
            width="30px"
            class="hover:opacity-75"
          />
        </button>
      </div>
    </div>
  </nav>
</template>
